#pragma once
#include "colorstatic.h"
#include "readonlyedit.h"
#include "afxwin.h"


// CDlg_Renewables1 dialog

class CDlg_Renewables1 : public CDialog
{
	DECLARE_DYNAMIC(CDlg_Renewables1)

public:
	CDlg_Renewables1(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDlg_Renewables1();

// Dialog Data
	enum { IDD = IDD_RENEWABLES1 };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	
	DECLARE_MESSAGE_MAP()
public:
	CColorStatic m_labelMicroHydro;
	CColorStatic m_labeluCHP;
	CColorStatic m_labelMVHR;
	CColorStatic m_labelWWHRS;
	CColorStatic m_labelFGHRS;
	CColorStatic m_labelMVHRinputs;

	CReadOnlyEdit m_edituHydroAnnualAvgHead;	
	CReadOnlyEdit m_edituHydroAnnualAvgFlow;	
	CReadOnlyEdit m_edituHydroEff;		
	CEdit m_editPCMthickness;	
	CEdit m_editPCMlatentHeat;	
	CEdit m_editPCMmeltingPoint;	
	CEdit m_editCHPheatToPowerRatio;	
	CEdit m_editCHPElectricEff;
	CEdit m_editCHPHeatingEff;
	CEdit m_editCHPHeatingFraction;
	CEdit m_editMVHRThermalEff;
	
	CComboBox m_comboCHPFuel;
	CComboBox m_combouHydro;
	CComboBox m_combouCHPyn;
	CComboBox m_comboMVHR;
	CComboBox m_comboFGHRSpresent;

	CString str_edituHydroAnnualAvgHead;
	CString str_edituHydroAnnualAvgFlow;
	CString str_edituHydroEff;
	CString str_editCHPheatToPowerRatio;
	CString str_editCHPElectricEff;
	CString str_comboCHPFuel;	
	CString str_editCHPHeatingEff;	
	CString str_editCHPHeatingFraction;	
	CString str_editMVHRThermalEff;	
	CString str_combouHydro;	
	CString str_combouCHPyn;	
	CString str_comboMVHR;	
	CString str_comboFGHRSpresent;

	afx_msg void DisplayValuesForRenewables1Dlg();
	afx_msg void ReadInputsFromRenewables1Dlg();
	afx_msg void ShowHideControlsForRenewables1Dlg();
	afx_msg void WWHRSDataOnFileNew();
	afx_msg void FGHRSDataOnFileNew();
	afx_msg void WWHRSDataRead();
	afx_msg void FGHRSDataRead();
	afx_msg void OnEnChangeEdit1();
	afx_msg void OnEnChangeEdit4();
	afx_msg void OnEnChangeEdit5();
	afx_msg void OnEnChangeEdit6();
	afx_msg void OnEnChangeEdit7();
	afx_msg void OnEnChangeEdit8();
	afx_msg void OnEnChangeEdit9();
	afx_msg void OnEnChangeEdit11();
	afx_msg void OnEnChangeEdit12();
	afx_msg void OnCbnSelchangeCombo1();
	afx_msg void OnEnChangeEdit13();
	afx_msg void OnEnChangeEdit14();
	afx_msg void OnEnChangeEdit15();
	afx_msg void OnCbnSelchangeCombo2();
	afx_msg void OnCbnSelchangeCombo4();
	afx_msg void OnCbnSelchangeCombo11();
	afx_msg void OnCbnSelchangeCombo12();

	afx_msg BOOL PreTranslateMessage(MSG* pMsg);
	CEdit m_editFGHRSstoreVolume;
	CEdit m_editFGHRSusefulFracHtRec;
	CComboBox m_comboFGHRSfittedMain;
	CComboBox m_comboFGHRSfittedSec;
	CComboBox m_comboFGHRStype;
	CEdit m_editFGHRStotFracHeatRec;
	CEdit m_editFGHRSelecPowerReq;
	CComboBox m_comboFGHRSpvPoweredHt;
	CEdit m_editFGHRSpvPkPower;
	CComboBox m_comboFGHRSpvPkOrientation;
	CComboBox m_comboFGHRSpvTilt;
	CComboBox m_comboFGHRSpvOvershading;
	CEdit m_editFGHRScableLoss;
	CString str_editFGHRSstoreVolume;
	CString str_editFGHRSusefulFracHtRec;
	CString str_comboFGHRSfittedMain;
	CString str_comboFGHRSfittedSec;
	CString str_comboFGHRStype;
	CString str_editFGHRStotFracHeatRec;
	CString str_editFGHRSelecPowerReq;
	CString str_comboFGHRSpvPoweredHt;
	CString str_editFGHRSpvPkPower;
	CString str_comboFGHRSpvPkOrientation;
	CString str_comboFGHRSpvTilt;
	CString str_comboFGHRSpvOvershading;
	CString str_editFGHRScableLoss;
	afx_msg void OnCbnSelchangeCombo5();
	afx_msg void OnEnChangeEdit2();
	afx_msg void OnEnChangeEdit3();
	afx_msg void OnCbnSelchangeCombo13();
	afx_msg void OnCbnSelchangeCombo29();
	afx_msg void OnCbnSelchangeCombo30();
	afx_msg void OnEnChangeEdiiPvpeakpower();
	afx_msg void OnCbnSelchangeComboPvcollectororient();
	afx_msg void OnCbnSelchangeCombo();
	afx_msg void OnCbnSelchangeComboPvovershading();
	afx_msg void OnEnChangeEdiiPvpeakpower2();
	CComboBox m_comboFGHRSstore;
	CString str_comboFGHRSstore;
	afx_msg void OnCbnSelchangeCombo6();
	CComboBox m_comboWWHRSpresent;
	CComboBox m_comboWWHRSType1;
	CEdit m_editTotalNumOfRooms;
	CEdit m_editNumMixerShowersWithBath1;
	CEdit m_editNumMixerShowersWithoutBath1;
	CString str_comboWWHRSpresent;
	CString str_comboWWHRSType1;
	CString str_editTotalNumOfRooms;
	CString str_editNumMixerShowersWithBath1;
	CString str_editNumMixerShowersWithoutBath1;
	afx_msg void OnCbnSelchangeCombo31();
	afx_msg void OnCbnSelchangeCombo32();
	afx_msg void OnEnChangeEdit16();
	afx_msg void OnEnChangeEdit17();
	afx_msg void OnEnChangeEdit18();
	CComboBox m_comboWWHRSType2;
	CString str_comboWWHRSType2;
	CEdit m_editNumMixerShowersWithBath2;
	CString str_editNumMixerShowersWithBath2;
	CEdit m_editNumMixerShowersWithoutBath2;
	CString str_editNumMixerShowersWithoutBath2;
	CComboBox m_WWHRStype1Model;
	CComboBox m_WWHRStype2Model;
	afx_msg void OnEnChangeEdit20();
	afx_msg void OnCbnSelchangeCombo33();
	afx_msg void OnCbnSelchangeCombo35();
	afx_msg void OnEnChangeEdit19();
	CComboBox m_WWHRStype1ModelQualifier;
	CComboBox m_WWHRStype2ModelQualifier;
	CString str_WWHRStype1Model;
	CString str_WWHRStype2Model;
	CString str_WWHRStype1ModelQualifier;
	CString str_WWHRStype2ModelQualifier;
	afx_msg void OnCbnSelchangeCombo34();
	afx_msg void OnCbnSelchangeCombo36();
	afx_msg void OnCbnSelchangeCombo37();
	CComboBox m_comboDetermineFGHRS;
	CString str_comboDetermineFGHRS;
	afx_msg void OnCbnSelchangeCombo38();
};
